Arch: Sito

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Site and the translation is 45% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Arch Building.svg Building Previous:
Next: Reference Arch Reference.svg Arrow-right.svg

Arch Site.svg Sito

Posizione nel menu
Arch → Sito
Ambiente
Architettura
Avvio veloce
S I
Introdotto nella versione
-
Vedere anche
Piano, Edificio


Descrizione

Il Sito di Arch è un oggetto speciale che unisce le proprietà di un oggetto gruppo standard di FreeCAD con quelle degli oggetti Arch. Esso è particolarmente adatto per rappresentare un intero sito del progetto o un terreno. Nei lavori di architettura basati su IFC, serve soprattutto per organizzare il modello, racchiudendo in esso gli oggetti edificio. Il sito è utilizzato anche per gestire e visualizzare un terreno fisico, e può calcolare i volumi di terra che devono essere aggiunti o rimossi.

Utilizzo

  1. Selezionare uno o più oggetti da includere nel nuovo sito
  2. Premere il pulsante Arch Site.png Sito, oppure premere i tasti S e I

Opzioni

  • Dopo aver creato un sito, è possibile aggiungere ad esso altri oggetti con il drag-and-drop nella struttura ad albero o utilizzando lo strumento Arch Add.png Aggiungi. Ciò determina solo quale oggetto fa parte di un dato sito, e non ha effetto sul terreno stesso.
  • È possibile rimuovere gli oggetti da un sito trascinandoli fuori con il drag-and-drop nella vista ad albero o utilizzando lo strumento Arch Remove.png Rimuovi
  • È possibile aggiungere un oggetto terreno modificando la proprietà Terrain del Sito. Il terreno deve essere un guscio aperto (shell) o una superficie.
  • È possibile aggiungere volumi da sommare o da sottrarre dal terreno di base, facendo doppio clic sul Sito, e aggiungendo gli oggetti ai suoi gruppi Sottrazioni o Aggiunte. Gli oggetti devono essere dei solidi.
  • La proprietà Extrusion Vector può essere utilizzata per risolvere alcuni problemi che possono presentarsi quando si lavora con le sottrazioni e le aggiunte. Per svolgere tali addizioni o sottrazioni, la superficie del terreno viene estrusa in un solido, che viene poi opportunamente aggiunto o sottratto. A seconda della topologia del terreno, questa estrusione potrebbe non riuscire con il vettore di default di estrusione. Può darsi che sia possibile risolvere il problema assegnando al vettore a un valore diverso.

Proprietà

  • DATITerrain: Il terreno di base del sito
  • DATIAddress: La via e il numero civico di questo sito
  • DATIPostal Code: Il codice postale o zip di questo sito
  • DATICity: La città di questo sito
  • DATICountry: Il paese di questo sito
  • DATILatitude: La latitudine di questo sito
  • DATILongitude: La longitudine di questo sito
  • DATIUrl: Un URL che mostra questo sito in un sito web mapping
  • DATIProjected Area: L'area della proiezione di questo oggetto sul piano XY
  • DATIPerimeter: La lunghezza del perimetro di questo terreno
  • DATIAddition Volume: Il volume di terra da aggiungere a questi terreni
  • DATISubtraction Volume: Il volume di terra da rimuovere da questi terreni
  • DATIExtrusion Vector: Un vettore di estrusione da utilizzare durante l'esecuzione di operazioni booleane
  • DATIRemove Splitter: Rimuovere gli scarti dalla forma risultante
  • DATINorth Deviation: L'angolo tra il Nord reale e la direzione nord in questo documento
  • VISTASolar Diagram: Mostra o nasconde il diagramma solare
  • VISTASolar Diagram Color: Il colore del diagramma solare
  • VISTASolar Diagram Position: La posizione del diagramma solare
  • VISTASolar Diagram Scale: La scala del diagramma solare

View

  • VIEWSolar Diagram: Shows or hides the solar diagram
  • VIEWSolar Diagram Color: The color of the solar diagram
  • VIEWSolar Diagram Position: The position of the solar diagram
  • VIEWSolar Diagram Scale: The scale of the solar diagram

Tipico flusso di lavoro

Iniziare creando un oggetto che rappresenta il terreno. Deve essere una superficie aperta, non un solido. Per esempio, è facile per importare dati mesh, che possono essere trasformati in una Part Shape dal menu Part -> Crea Forma da Mesh.... Poi, creare un oggetto Sito, e impostare la sua proprietà Terrain dalla Parte appena creata:

Arch site example 01.jpg

Creare alcuni volumi (devono essere dei solidi) che rappresentano le aree che si desidera scavare o riempire. Fare doppio clic sull'oggetto Sito nella struttura ad albero, e aggiungere questi volumi ai gruppi Aggiunte o Sottrazioni. Fare clic su OK.

Arch site example 02.jpg

La geometria sito sarà ricalcolata e le proprietà aree, il perimetro e i volumi rivalutati.

Arch site example 03.jpg

Diagramma solare

Se nel proprio sistema è installato pysolar, i Siti di Arch possono visualizzare un diagramma solare. Per questo, le proprietà Longitude, Latitude e NorthDeviation devono essere impostate correttamente, e deve essere attivata la proprietà SolarDiagram della Vista. introduced in version 0.17

Freecad-solar-diagram.jpg

Script

Lo strumento Sito può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Site = makeSite(objectslist=None, baseobj=None, name="Site")
Crea un Sito che include gli oggetti della lista fornita

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Site = Arch.makeSite(Wall)
FreeCAD.ActiveDocument.recompute()

Solar diagram

FreeCAD can add a solar diagram to the active document if the Pysolar (or pysolar?) module is available. This module only works with Python3.

Un diagramma solare può anche essere creato con

Node = makeSolarDiagram(longitude, latitude, scale=1, complete=False)
  • Creates a solar diagram as a Pivy node, using longitude and latitude, with an optional scale.
  • If complete is True, the 12 months are drawn.
import FreeCADGui, Arch

Node = Arch.makeSolarDiagram(-46.38, -23.33)
FreeCADGui.ActiveDocument.ActiveView.getSceneGraph().addChild(Node)